Bug 5423 - Booting Xen Images via pygrub
: Booting Xen Images via pygrub
Status: RESOLVED FIXED
: Nimbus
Workspace service
: unspecified
: All Linux
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-07-05 12:42 by
Modified: 2008-06-05 12:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-05 12:42:45
It would be nice to be able to boot images using kernels contained within the
image using pygrub. This would allow new images using different domU kernels to
be pushed out to remote sites without action being taken by the local
sysadmins.

The use case for us (University of Victoria) is: Physicist would like ship out
new a Scientific Linux image out to SuSe cluster at without making a request to
local sysadmin to make a new kernel available on cluster worker nodes.
------- Comment #1 From 2007-07-05 12:44:53 -------
Agreed.  This is already on a TODO list, will update this bug with more
information once it's available.  Thanks.
------- Comment #2 From 2007-07-18 18:48:37 -------
After following Tim detailed instructions David Grundy (grundy@uvic.ca)
produced a quick kludge to force all images to use pygrub. Note that this is a
temporary solution.

See the patch here:
https://wiki.gridx1.ca/twiki/bin/viewfile/Main/GVWwithPygrub?rev=;filename=xen_v2_pygrub.diff
------- Comment #3 From 2008-06-05 12:53:19 -------
Booting pygrub images now supported in 1.3.2. Thank you developers.